## gw6c 6.0.1dfsg.1

=== Makefile ===
#
# Global Gateway6 Client Makefile.
#
all:
	cd tspc-advanced && $(MAKE) all

install:
	cd tspc-advanced && $(MAKE) install

clean:
	cd tspc-advanced && $(MAKE) cleanall
