=== debian/control ===
Source: gw6c
Section: net
Priority: extra
Maintainer: Craig Small <csmall@debian.org>
Build-Depends: debhelper (>= 7.0.50~), libssl-dev
Standards-Version: 3.8.3
Homepage: http://go6.net/4105/application.asp

Package: gw6c
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, ${platform:Depends}, net-tools
Recommends: radvd
Description: Client to connect to IPv6 tunnel brokers
 TSP is a control protocol used to establish and maintain static tunnels. 
 The Gateway6 client (gw6c) is used on the host computer to connect to a 
 tunnel broker using the TSP protocol and to get the information for its 
 tunnel. When it receives the information for the tunnel, the Gateway6 
 client creates the static tunnel on its operating system.
